Skip to main content
POST
/
call
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "provider_call_sid": "<string>",
  "phone_number": "<string>",
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "message": "<string>",
  "org_id": "<string>"
}

Authorizations

X-API-Key
string
header
required

Body

application/json

Create an outbound AI call.

Similar to VAPI's POST /call endpoint. Requires an agent_id and customer phone number. Optionally override agent settings for this specific call.

agent_id
string<uuid>
required

ID of the agent to use for this call

customer
CustomerInfo · object
required

The person being called.

phone_number_id
string<uuid> | null

ID of the phone_numbers record to call from (alternative to from_number)

from_number
string | null

E.164 phone number to call from (alternative to phone_number_id)

agent_overrides
AgentOverrides · object

Override agent settings for this specific call

Response

Successful Response

Response from creating an outbound call.

id
string<uuid>
required

Stride call ID

status
string
required
provider_call_sid
string
required

Twilio call SID

phone_number
string
required

Customer number dialed

agent_id
string<uuid>
required
message
string
required
org_id
string | null